﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Windows.Input;

namespace HealthyHitsujiWpf.Command
{
   
    public class _ADirectCommand : ICommand
    {
        
        //#region ▼コンストラクタ

        //public _ADirectCommand(CanExecuteDelegate canExecuteDelegate,
        //                       Action<object> executeDelegate)
        //{
        //    this.canExecuteDelegate_ = canExecuteDelegate;
        //    this.executeDelegate_ = executeDelegate;
        //}

        //#endregion ▲コンストラクタ


        #region ▼デリゲート

        public delegate bool CanExecuteDelegate(object parameter);
        //protected delegate void ExecuteDelegate();
        
        #endregion ▲デリゲート


        #region ▼プロパティ

        public CanExecuteDelegate canExecuteDelegate_;
        public Action<object> executeDelegate_;

        #endregion ▲プロパティ


        #region ICommand メンバ

        public bool CanExecute(object parameter)
        {
            if (canExecuteDelegate_ != null)
            {
                return canExecuteDelegate_(parameter);
            }
            else
            {
                return false;
            }
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            if (executeDelegate_ != null)
            {
                executeDelegate_(parameter);
            }
        }

        #endregion

    }
}
