﻿using System;
using System.Text;
using System.Data;
using HealthyHitsujiWpf.Model.Content;
using HealthyHitsujiWpf.Model.DataBase;

namespace HealthyHitsujiWpf.Model.OutPutFileSetterModel
{
    public class PrimaryDataSetterModel : _IOutPutCsvFileSetterModel
    {

        #region _IOutPutCsvFileSetterModel メンバ

        public Action<DataTable> buildColumnSelectionDelegate()
        {
            return delegate(DataTable table)
            {
                table.Columns.Add(new DataColumn(MonthDataBaseColumnModel.cm_));
                table.Columns.Add(new DataColumn(MonthDataBaseColumnModel.kg_));
            };
        }

        public Action<DataRow, _IContentModel> buildFieldSelectionDelegate()
        {
            return delegate(DataRow row, _IContentModel model)
            {
                DateContentsModel d = (DateContentsModel)model;
                row[MonthDataBaseColumnModel.cm_] = d.heightCm;
                row[MonthDataBaseColumnModel.kg_] = d.weightKg;
            };
        }

        #endregion
    }
}
