﻿using System;
using System.Collections.Generic;
using HealthyHitsujiWpf.Model.View;

namespace HealthyHitsujiWpf.Utils.Collection
{
    public class DictionaryAsViewModelGeneric<String, T> where T : _AViewModel
    {
        private Dictionary<String, T> dictionary_;
        public void addView(String key, T viewModel)
        {
            dictionary_.Add(key, viewModel);
            
        }
        public _AViewModel getViewModel(String viewModelName)
        {
            if (dictionary_.Count == 0)
            {
                return null;
                throw new NullReferenceException("DictionaryAsViewModelGeneric コレクションの要素がありません");
            }
            _AViewModel vm = null;
            foreach (KeyValuePair<String, T> kvp in dictionary_)
            {
                if (kvp.Key.Equals(viewModelName))
                {
                    vm = kvp.Value;
                }
            }
            return vm;
        }
    }
}
