﻿using System.Windows;
using System.Windows.Controls;
using HealthyHitsujiWpf.Model.View;
using HealthyHitsujiWpf.Model.OutPutFileSetterModel;

namespace HealthyHitsujiWpf.View
{
    /// <summary>
    /// OutputView.xaml の相互作用ロジック
    /// </summary>
    public partial class OutputView : UserControl, _IView
    {
        public OutputView()
        {
            InitializeComponent();
        }


        private void buttonOutPutMonthDataAll_AsCSV_Click(object sender, RoutedEventArgs e)
        {
            this.onButtonClicked(new MonthDataAllSetterModel());

        }

        private void buttonOutPut_CalorieAsCSV_Click(object sender, RoutedEventArgs e)
        {
            this.onButtonClicked(new CalorieDataSetterModel());

        }

        private void buttonOutPut_BalanceAsCSV_Click(object sender, RoutedEventArgs e)
        {
            this.onButtonClicked(new BalanceDataSetterModel());

        }

        private void buttonOutPut_PrimaryAsCSV_Click(object sender, RoutedEventArgs e)
        {
            this.onButtonClicked(new PrimaryDataSetterModel());

        }


        //ファイル出力処理
        protected void onButtonClicked(_IOutPutCsvFileSetterModel outPutInfoSetter)
        {
            if ((DataContext as OutPutViewModel).canOutPutMonthDataAsCsv(outPutInfoSetter))
                (DataContext as OutPutViewModel).executeOutPutMonthDataAsCsv(outPutInfoSetter);
        }

    }
}
