﻿using System;
using System.Data;

namespace HealthyHitsujiWpf.Model.DataBase
{
    public class MonthDataBaseColumnModel : _IDataBaseModel
    {

        //データベース
        public static readonly String dataSetName_ = "MONTH";
        public static readonly String dataTableName_ = "DATA";

        //カラム名
        public static readonly String day_ = "DAY";
        public static readonly String am_ = "AM";
        public static readonly String noon_ = "NOON";
        public static readonly String pm_ = "PM";
        public static readonly String other_ = "OTHER";
        public static readonly String balGrain_ = "GRAIN";
        public static readonly String balMeat_ = "MEAT";
        public static readonly String balSeafood_ = "SEAFOOD";
        public static readonly String balVegetable_ = "VEGETABLE";
        public static readonly String balFruit_ = "FRUIT";
        public static readonly String balDairy_ = "DAIRY";

        public static readonly String burn_ = "BURN";
        public static readonly String walk_ = "WALK";
        public static readonly String cm_ = "CM";
        public static readonly String kg_ = "KG";
        public static readonly String memo_ = "MEMO";
        
        
        //カラム生成
        public static void buildDataBaseColumn(DataSet targetDataSet)
        {
            var myTable = new DataTable();
            targetDataSet.DataSetName = dataSetName_;
            myTable.TableName = dataTableName_;

            myTable.Columns.Add(new DataColumn(day_));
            myTable.Columns.Add(new DataColumn(am_));
            myTable.Columns.Add(new DataColumn(noon_));
            myTable.Columns.Add(new DataColumn(pm_));
            myTable.Columns.Add(new DataColumn(other_));
            myTable.Columns.Add(new DataColumn(balGrain_));
            myTable.Columns.Add(new DataColumn(balMeat_));
            myTable.Columns.Add(new DataColumn(balSeafood_));
            myTable.Columns.Add(new DataColumn(balVegetable_));
            myTable.Columns.Add(new DataColumn(balFruit_));
            myTable.Columns.Add(new DataColumn(balDairy_));
            myTable.Columns.Add(new DataColumn(burn_));
            myTable.Columns.Add(new DataColumn(walk_));
            myTable.Columns.Add(new DataColumn(cm_));
            myTable.Columns.Add(new DataColumn(kg_));
            myTable.Columns.Add(new DataColumn(memo_));
            targetDataSet.Tables.Add(myTable);
        }

    }
}
