﻿using System.Data;

namespace HealthyHitsujiWpf.Model.DataBase
{
    public class MonthDataBaseFieldModel : _IDataBaseModel
    {
        
        //デフォルト値のフィールド生成
        public static void buildDefaultData(DataSet targetDataSet, int dateCount)
        {
            for (int day = 1; day <= dateCount; day++)
            {
                var myTable = targetDataSet.Tables[MonthDataBaseColumnModel.dataTableName_];
                var myRow = myTable.NewRow();
                myRow[MonthDataBaseColumnModel.day_] = day.ToString();
                myRow[MonthDataBaseColumnModel.am_] = "0";
                myRow[MonthDataBaseColumnModel.noon_] = "0";
                myRow[MonthDataBaseColumnModel.pm_] = "0";
                myRow[MonthDataBaseColumnModel.other_] = "0";
                myRow[MonthDataBaseColumnModel.balGrain_] = false;
                myRow[MonthDataBaseColumnModel.balMeat_] = false;
                myRow[MonthDataBaseColumnModel.balSeafood_] = false;
                myRow[MonthDataBaseColumnModel.balVegetable_] = false;
                myRow[MonthDataBaseColumnModel.balFruit_] = false;
                myRow[MonthDataBaseColumnModel.balDairy_] = false;
                myRow[MonthDataBaseColumnModel.burn_] = "0";
                myRow[MonthDataBaseColumnModel.walk_] = "0";
                myRow[MonthDataBaseColumnModel.cm_] = "0";
                myRow[MonthDataBaseColumnModel.kg_] = "0";
                myRow[MonthDataBaseColumnModel.memo_] = "";
                myTable.Rows.Add(myRow);
            }
        }

    }
}
